<?php        

defined('C5_EXECUTE') or die(_("Access Denied."));

class CtGoldPackage extends Package {

	protected $pkgHandle = 'ct_gold';
	protected $appVersionRequired = '5.5.1';
	protected $pkgVersion = '1.1.1';
	
	protected $pageTypeArr = array(
		'three_column'=>'Three Column',
        'four_column'=>'Four Column',
        'full'=>'Full',
        'home'=>'Home',
        'left_sidebar'=>'Left Sidebar',
        'right_sidebar'=>'Right Sidebar',
        'blog_entry'=>'Blog Entry',
        'side_main_side'=>'Side Main Side'
    );

    protected $blockTypeArr = array(
    	"extended_caption"
    );
	
	public function getPackageDescription() {
		return t("A rich responsive theme.");
	}
	
	public function getPackageName() {
		return t("Gold");
	}
	
	public static function getCustomAttribute() {
		$db = Loader::db();
		$r = $db->query("SELECT distinct cID, ak_body_bg_image  FROM CollectionSearchIndexAttributes where ak_body_bg_image >0 ");
		$myValues = array();
		   while ($row = $r->fetchRow()) {
		      $myValues[$row['cID']] =$row['ak_body_bg_image'];
		   }

		return $myValues;
	}

	public function install() {
		
		$pkg = parent::install();	

		$this->import_Images();
		
		// install theme		
		PageTheme::add('ct_gold', $pkg);

		foreach($this->blockTypeArr as $value) {
			$block = BlockType::getByHandle($value);
			if(!$block) {
				blockType::installBlockTypeFromPackage($value, $pkg);	
			}
		}


		// install each page tupes
		foreach($this->pageTypeArr as $key => $pagetype) {
        	$pt = CollectionType::getByHandle($key);
        	if(!is_object($pt)) {
        		$data['ctHandle'] = $key;
    			$data['ctName'] = t($pagetype);
        		$spt = CollectionType::add($data, $pkg);
        	}
        }
	
		// install page thumbnail attribute
		$ift = AttributeType::getByHandle('image_file');
		$pageThumbAttr=CollectionAttributeKey::getByHandle('thumbnail');
		if(!is_object($pageThumbAttr))
     	CollectionAttributeKey::add($ift, array('akHandle' => 'thumbnail', 'akName' => t('Thumbnail'), 'akIsSearchable' => false));		
		
		$ift = AttributeType::getByHandle('image_file');
		$bodyBIAttr=CollectionAttributeKey::getByHandle('body_bg_image');
		if(!is_object($bodyBIAttr))
     	CollectionAttributeKey::add($ift, array('akHandle' => 'body_bg_image', 'akName' => t('Body Background Image'), 'akIsSearchable' => false));		
	}

	public function import_Images(){
		//import images from package
		Loader::model('file_set');
		Loader::library("file/importer");

		$image_set = array(
			'addthis.png',
			'blogger.png',
			'facebook.png',
			'gplus.png',
			'instagram.png',
			'linkedin.png',
			'paypal.png',
			'pinterest.png',
			'rss.png',
			'sharethis.png',
			'skype.png',
			'tumbler.png',
			'twitter_old.png',
			'twitter.png',
			'vimeo.png',
			'youtube.png'
		);
	
		$images_dir = dirname(__FILE__)."/images";		

		$fi = new FileImporter();
		$i=0;

		foreach ($image_set as $image) {			
			if ($image != "") {
				$im = $fi->import($images_dir."/".$image);	
			}
			$i++;			
		}
	}	

}
