<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));

class CookiesDisclosure {
		
	public static function checkDiscloseCookies() {
		
		$config = new Config();
		$pkg = Package::getByHandle("formigo_cookies_disclosure");
		$config->setPackageObject($pkg);

		$scriptEnable = $config->get('scriptenable');
		$scriptHtml = $config->get('scripthtml');
		$scriptDisclosure = $config->get('scriptdisclosure');
		$scriptPrivacyPolicy = $config->get('scriptprivacypolicy');
		$scriptPosition = $config->get('scriptposition');
		$scriptLimit = $config->get('scriptlimit');
		$scriptDuration = $config->get('scriptduration');
		$scriptMessagePosition = $config->get('scriptmessageposition');
		
		if($scriptEnable) {
				
			## We're set to disclose cookies
			$u = new User();
			$c = Page::getCurrentPage();
			if(is_object($c)) {
				if(!$c->isEditMode() && !$u->isLoggedIn()) {
				
					## Not in edit mode or logged in, add our scripts
				
					## Test for our cookie
					if($_COOKIE['cookiesDirective']) {
					
						## Cookies accepted
						$v = View::getInstance();
					
						if($scriptPosition == 'top') {
					
							$v->addHeaderItem($scriptHtml);
						
						} else {
						
							$v->addFooterItem($scriptHtml);
						
						}							
					
					} else {	
					
						if(($_SESSION['disclosureCount'] < $scriptLimit)) {
							## Cookies not yet accepted, display warning
							$html = loader::helper('html');
							$v = View::getInstance();
							$v->addHeaderItem($html->javascript('jquery.cookie.js'));	
							$v->addHeaderItem($html->javascript('cookiesDisclosure.js', 'formigo_cookies_disclosure'));
				
							## Initialising script
							## We need a path to our privacy policy page not a collection Id.
				
							$privacyPage = Page::getByID($scriptPrivacyPolicy);
							$nh = Loader::helper('navigation');
							$privacyPagePath = $nh->getLinkToCollection($privacyPage);	
							$v->addFooterItem(self::initialiseScript($scriptDisclosure, $privacyPagePath, $scriptMessagePosition, $scriptDuration));
						
							## Session to track how many times we have displayed the disclosure
							$_SESSION['disclosureCount'] = $_SESSION['disclosureCount'] + 1;
						}
					
					}	
		
				}
			
			}	
		
		}	

	}
	
	private static function initialiseScript($disclosureMessage,$privacyPolicy,$scriptMessagePosition,$scriptDuration) {
		
		## JS t() encoding
		$t = self::tJavascript();
			
		## Initialises script and allows us to pass in arguments without the whole Cookies Directive javascript needing to published inline		
		$initialise = '<script type="text/javascript">'."\n";
		$initialise.= "\t".'cookiesDisclosure("'.$disclosureMessage.'", "'.$privacyPolicy.'", "'.$scriptMessagePosition.'",'.$scriptDuration.',"'.$t[0].'","'.$t[1].'","'.$t[2].'","'.$t[3].'","'.$t[4].'");'."\n";
		$initialise.= '</script>';
	
		return $initialise;
		
	}
	
	private static function tJavascript(){
		
		## Make the javascript script text translatable
		$t = array();
		$t[0] = t('To find out more about cookies on this website, see our');
		$t[1] = t('privacy policy');
		$t[2] = t("You must tick the, I accept cookies from this site box, to accept");
		$t[3] = t('I accept cookies from this site');
		$t[4] = t('Continue');
		return $t;
	
	}
}
?>